> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Marketplace Catalog

> Get the marketplace catalog with installation status.

Returns a list of available skills from the OpenHands extensions
repository marketplace, along with their installation status.

This enables frontend applications to display a "Marketplace" tab
with installable skills.

Returns:
    MarketplaceCatalogResponse containing list of available skills.



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/skills/marketplace
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/skills/marketplace:
    get:
      tags:
        - Skills
      summary: Get Marketplace Catalog
      description: |-
        Get the marketplace catalog with installation status.

        Returns a list of available skills from the OpenHands extensions
        repository marketplace, along with their installation status.

        This enables frontend applications to display a "Marketplace" tab
        with installable skills.

        Returns:
            MarketplaceCatalogResponse containing list of available skills.
      operationId: get_marketplace_catalog_api_skills_marketplace_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/openhands__agent_server__skills_router__MarketplaceCatalogResponse
          description: Successful Response
      security:
        - APIKeyHeader: []
components:
  schemas:
    openhands__agent_server__skills_router__MarketplaceCatalogResponse:
      description: Response containing the marketplace catalog.
      properties:
        skills:
          items:
            $ref: '#/components/schemas/MarketplaceSkillInfo'
          title: Skills
          type: array
      required:
        - skills
      title: MarketplaceCatalogResponse
      type: object
    MarketplaceSkillInfo:
      description: Information about a skill in the marketplace catalog.
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        installed:
          title: Installed
          type: boolean
        name:
          title: Name
          type: string
        source:
          title: Source
          type: string
      required:
        - name
        - description
        - source
        - installed
      title: MarketplaceSkillInfo
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.